package com.steerinfo.ems.tcm035.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCm035 implements IBasePO<String> {
    /**
     * 停复役单编号(BILLSNO,VARCHAR,40)
     */
    @ApiModelProperty(value="停复役单编号",required=false)
    private String billsno;

    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=true)
    private String recordid;

    /**
     * 申请人(APPLYER,VARCHAR,36)
     */
    @ApiModelProperty(value="申请人",required=true)
    private String applyer;

    /**
     * 审批人(APPROVER,VARCHAR,36)
     */
    @ApiModelProperty(value="审批人",required=true)
    private String approver;

    /**
     * 单据状态(BILLSTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="单据状态",required=true)
    private String billstatus;

    /**
     * 申请负责人(CHARGEMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="申请负责人",required=true)
    private String chargeman;

    /**
     * 编制时间(CREATTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="编制时间",required=true)
    private String creattime;

    /**
     * 设备名称(EQUIPMENTNAME,VARCHAR,36)
     */
    @ApiModelProperty(value="设备名称",required=true)
    private String equipmentname;

    /**
     * 检修结束时间(EXAMINEENDTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="检修结束时间",required=true)
    private String examineendtime;

    /**
     * 检修开始时间(EXAMINESTARTTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="检修开始时间",required=true)
    private String examinestarttime;

    /**
     * 作业内容(FILENAME,VARCHAR,2048)
     */
    @ApiModelProperty(value="作业内容",required=true)
    private String filename;

    /**
     * 备注(NOTE,VARCHAR,2048)
     */
    @ApiModelProperty(value="备注",required=true)
    private String note;

    /**
     * 操作状态(OPERATESTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="操作状态",required=true)
    private String operatestatus;

    /**
     * 主管单位审批意见(OPINION,VARCHAR,2048)
     */
    @ApiModelProperty(value="主管单位审批意见",required=true)
    private String opinion;

    /**
     * 申请原因(REASONCONTENT,VARCHAR,2048)
     */
    @ApiModelProperty(value="申请原因",required=true)
    private String reasoncontent;

    /**
     * 申请复役时间(RESTARTTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="申请复役时间",required=true)
    private String restarttime;

    /**
     * 审批时间(SIGNTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="审批时间",required=true)
    private String signtime;

    /**
     * 申请停役时间(STOPTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="申请停役时间",required=true)
    private String stoptime;

    /**
     * 介质系统(TFYMEDIUMSYSTEM,VARCHAR,400)
     */
    @ApiModelProperty(value="介质系统",required=true)
    private String tfymediumsystem;

    /**
     * 作业联络人(WORKLINKMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="作业联络人",required=true)
    private String worklinkman;
    /**
     * 实例ID(PROCESSSTANCEID,VARCHAR,50)
     */
    @ApiModelProperty(value="实例ID",required=true)
    private String processstanceid;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.billsno;
    }

    @Override
    public void setId(String billsno) {
        this.billsno = billsno == null ? null : billsno.trim();
    }

    public String getBillsno() {
        return billsno;
    }

    public void setBillsno(String billsno) {
        this.billsno = billsno == null ? null : billsno.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getApplyer() {
        return applyer;
    }

    public void setApplyer(String applyer) {
        this.applyer = applyer == null ? null : applyer.trim();
    }

    public String getApprover() {
        return approver;
    }

    public void setApprover(String approver) {
        this.approver = approver == null ? null : approver.trim();
    }

    public String getBillstatus() {
        return billstatus;
    }

    public void setBillstatus(String billstatus) {
        this.billstatus = billstatus == null ? null : billstatus.trim();
    }

    public String getChargeman() {
        return chargeman;
    }

    public void setChargeman(String chargeman) {
        this.chargeman = chargeman == null ? null : chargeman.trim();
    }

    public String getCreattime() {
        return creattime;
    }

    public void setCreattime(String creattime) {
        this.creattime = creattime == null ? null : creattime.trim();
    }

    public String getEquipmentname() {
        return equipmentname;
    }

    public void setEquipmentname(String equipmentname) {
        this.equipmentname = equipmentname == null ? null : equipmentname.trim();
    }

    public String getExamineendtime() {
        return examineendtime;
    }

    public void setExamineendtime(String examineendtime) {
        this.examineendtime = examineendtime == null ? null : examineendtime.trim();
    }

    public String getExaminestarttime() {
        return examinestarttime;
    }

    public void setExaminestarttime(String examinestarttime) {
        this.examinestarttime = examinestarttime == null ? null : examinestarttime.trim();
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename == null ? null : filename.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getOperatestatus() {
        return operatestatus;
    }

    public void setOperatestatus(String operatestatus) {
        this.operatestatus = operatestatus == null ? null : operatestatus.trim();
    }

    public String getOpinion() {
        return opinion;
    }

    public void setOpinion(String opinion) {
        this.opinion = opinion == null ? null : opinion.trim();
    }

    public String getReasoncontent() {
        return reasoncontent;
    }

    public void setReasoncontent(String reasoncontent) {
        this.reasoncontent = reasoncontent == null ? null : reasoncontent.trim();
    }

    public String getRestarttime() {
        return restarttime;
    }

    public void setRestarttime(String restarttime) {
        this.restarttime = restarttime == null ? null : restarttime.trim();
    }

    public String getSigntime() {
        return signtime;
    }

    public void setSigntime(String signtime) {
        this.signtime = signtime == null ? null : signtime.trim();
    }

    public String getStoptime() {
        return stoptime;
    }

    public void setStoptime(String stoptime) {
        this.stoptime = stoptime == null ? null : stoptime.trim();
    }

    public String getTfymediumsystem() {
        return tfymediumsystem;
    }

    public void setTfymediumsystem(String tfymediumsystem) {
        this.tfymediumsystem = tfymediumsystem == null ? null : tfymediumsystem.trim();
    }

    public String getWorklinkman() {
        return worklinkman;
    }

    public void setWorklinkman(String worklinkman) {
        this.worklinkman = worklinkman == null ? null : worklinkman.trim();
    }

    public String getProcessstanceid() {
        return processstanceid;
    }

    public void setProcessstanceid(String processstanceid) {
        this.processstanceid = processstanceid == null ? null : processstanceid.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", billsno=").append(billsno);
        sb.append(", recordid=").append(recordid);
        sb.append(", applyer=").append(applyer);
        sb.append(", approver=").append(approver);
        sb.append(", billstatus=").append(billstatus);
        sb.append(", chargeman=").append(chargeman);
        sb.append(", creattime=").append(creattime);
        sb.append(", equipmentname=").append(equipmentname);
        sb.append(", examineendtime=").append(examineendtime);
        sb.append(", examinestarttime=").append(examinestarttime);
        sb.append(", filename=").append(filename);
        sb.append(", note=").append(note);
        sb.append(", operatestatus=").append(operatestatus);
        sb.append(", opinion=").append(opinion);
        sb.append(", reasoncontent=").append(reasoncontent);
        sb.append(", restarttime=").append(restarttime);
        sb.append(", signtime=").append(signtime);
        sb.append(", stoptime=").append(stoptime);
        sb.append(", tfymediumsystem=").append(tfymediumsystem);
        sb.append(", worklinkman=").append(worklinkman);
        sb.append(", processstanceid=").append(processstanceid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}